`include "dff_async_reset.v"
module dff_async_reset_tb();

reg clock, reset, data;
wire q;

// Initialize all variables
initial begin        

  $dumpfile("dff_async_reset.vcd");
  $dumpvars(0,dff_async_reset_tb);

  $display ("time\t clk reset data q");	
  $monitor ("%g\t %b   %b     %b      %b", 
	  $time, clock, reset, data, q);	
  clock = 1;       // initial value of clock
  reset = 0;       // initial value of reset
  #1 reset = 1;
  #3 data = 1;    // Assert the reset
  #5 data = 0;    // Assert the reset
  #5 data = 0;    // Assert the reset
  #5 data = 1;    // Assert the reset
  #5 data = 0;    // Assert the reset
  reset = 0;
  #5 data = 0;    // Assert the reset
  #5 data = 0;    // Assert the reset
  #5 data = 1;    // Assert the reset
  #5 data = 0;    // Assert the reset
  #5 $finish;      // Terminate simulation
end

// Clock generator
always begin
  #5 clock = ~clock; // Toggle clock every 5 ticks
end

// Connect DUT to test bench
dff_async_reset U_ff (
data,
clock,
reset,
q
);

endmodule
