`include "par_in_ser_out.v"
module par_in_ser_out_tb();

reg clock, reset ; 
reg [7:0] data_in;
wire data_out;

// Initialize all variables
initial begin        

  $dumpfile("par_in_ser_out.vcd");
  $dumpvars(0,par_in_ser_out_tb);

  $display ("time\t clk reset data_in data_out");	
  $monitor ("%g\t %b   %b     %b      %b", 
	  $time, clock, reset, data_in, data_out);	
  clock = 1;       // initial value of clock
  reset = 0;       // initial value of reset
  #1 reset = 1;
  #3 data_in = 8'b0110_0101;
  #30 data_in = 8'b1001_1111;
  #200 $finish;      // Terminate simulation
end

// Clock generator
always begin
  #5 clock = ~clock; // Toggle clock every 5 ticks
end

// Connect DUT to test bench
par_in_ser_out U_piso (
data_in,
clock,
reset,
data_out
);

endmodule
